//
//  InvasiveAppApp.swift
//  InvasiveApp
//
//  Created by Joe Gregg on 11/8/24.
//

import SwiftUI
import SwiftData

@main
struct InvasiveAppApp: App {
    var sharedModelContainer: ModelContainer = {
            let schema = Schema([
                Species.self,Park.self,Sighting.self
            ])
            let modelConfiguration = ModelConfiguration(schema: schema, isStoredInMemoryOnly: false)

            do {
                return try ModelContainer(for: schema, configurations: [modelConfiguration])
            } catch {
                fatalError("Could not create ModelContainer: \(error)")
            }
        }()

    var body: some Scene {
        WindowGroup {
            ContentView(gateway: Gateway())
        }
        .modelContainer(sharedModelContainer)
    }
}
